> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Email Finder

> Finds a professional email address using company domain, first name, and last name.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-email-finder
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows, search execution, and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Data Sources
    description: Focused provider lookups for LinkedIn, email, phone, and company data.
paths:
  /functions/v1/run-email-finder:
    post:
      tags:
        - Data Sources
      summary: Run Email Finder
      description: >-
        Finds a professional email address using company domain, first name, and
        last name.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - domain
                - first_name
                - last_name
              properties:
                domain:
                  type: string
                first_name:
                  type: string
                last_name:
                  type: string
            example:
              domain: openai.com
              first_name: John
              last_name: Doe
      responses:
        '200':
          description: Email finder completed.
          content:
            application/json:
              example:
                session_id: 88888888-8888-8888-8888-888888888888
                kind: email_finder
                domain: openai.com
                full_name: Sam Altman
                first_name: Sam
                last_name: Altman
                email: sam@openai.com
                human: |-
                  # Email finder

                  - **First Name:** Sam
                  - **Last Name:** Altman
                  - **Company Domain:** openai.com
                  - **Found:** Yes
                  - **Email:** sam@openai.com
                  - **Confidence:** high
                  - **Provider:** enrich.so
                machine:
                  firstName: Sam
                  lastName: Altman
                  domain: openai.com
                  found: true
                  email: sam@openai.com
                  confidence: high
                  provider: enrich.so
                  message: null
                total_points: 10
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````